# Authentication

BetterForms has several authentication strategies. These fall into internal and external systems.

## Internal Basic Authentication

This authentication strategy uses an internal `users` table with email and hashed password.

### Accessing Restricted Pages

If you have enabled authentication for a specific page if an unauthenticated user attempts to access that page they will be redirected to your login page. After they login they will be forwarded to the initial page they requested. If the `onLogin` hook returns a `path` action, then that initial page will not be followed and the action will determine the users next page.

###


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/v1/security/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
